Order counts + attributed revenue (D2C entitlement required)
curl --request GET \
--url https://api.pineyard.ai/commerce/orders/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/commerce/orders/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/commerce/orders/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"totalOrders": 123,
"attributedOrders": 123,
"revenueByCurrency": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"attributedRevenueByCurrency": [
{
"currency": "<string>",
"amount": "<string>"
}
]
}Orders & revenue
Order counts + attributed revenue (D2C entitlement required)
GET
/
commerce
/
orders
/
summary
Order counts + attributed revenue (D2C entitlement required)
curl --request GET \
--url https://api.pineyard.ai/commerce/orders/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/commerce/orders/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/commerce/orders/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"totalOrders": 123,
"attributedOrders": 123,
"revenueByCurrency": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"attributedRevenueByCurrency": [
{
"currency": "<string>",
"amount": "<string>"
}
]
}Required scope:
sales.view
Requires commerce analytics enabled for your workspace. Otherwise the request is refused; see Errors.

